Subject: [PATCH] Add foldout command for widening to current fold

From: Paul Nelson <[email-masked]>
Date: Mon, 16 Sep 2024 01:38:35 +0200

The foldout package, which "zooms in" on document sections by
narrowing the buffer, doesn't play well with Emacs's other narrowing
features: after narrowing further within a fold, there's no easy way
to widen back to the fold's boundaries.

This patch introduces foldout-widen-to-current-fold, a command that
widens to the current fold level (or to the whole buffer if not in a
fold).

Example usage:
- Use foldout-zoom-subtree to zoom in on some section.
- Use narrow-to-defun to edit some function.
- Use foldout-widen-to-current-fold to return to the scope of the
zoomed-in section.

Any feedback welcome.

Thanks, best,

Paul